### Constructor

# Gtk PopoverMenunew_from_model

#### Declaration [src]

    GtkWidget*
    gtk_popover_menu_new_from_model (
      GMenuModel* model
    )

#### Description [src]

Creates a `GtkPopoverMenu` and populates it according to `model`.

The created buttons are connected to actions found in the `GtkApplicationWindow` to which the popover belongs - typically by means of being attached to a widget that is contained within the `GtkApplicationWindow`s widget hierarchy.

Actions can also be added using `gtk_widget_insert_action_group()` on the menus attach widget or on any of its parent widgets.

This function creates menus with sliding submenus. See `gtk_popover_menu_new_from_model_full()` for a way to control this.

#### Parameters

`model`

  Type: `GMenuModel`

  A `GMenuModel`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

The new `GtkPopoverMenu`

The data is owned by the called function.